package com.ynet.life.file.pdf;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import org.apache.pdfbox.TextToPDF;
import org.apache.pdfbox.exceptions.COSVisitorException;
import org.apache.pdfbox.exceptions.CryptographyException;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.pdmodel.PDPage;
import org.apache.pdfbox.pdmodel.edit.PDPageContentStream;
import org.apache.pdfbox.pdmodel.font.PDType1Font;

public class PdfCreator {

   public static void createAndEcryptPDF(String destFileName, String contents, String password) throws Exception {
      createPDF(destFileName, contents);
      encrytpPDF(destFileName, password);
   }

   public static void createPDF(String destFileName, String contents) throws Exception {
      PDDocument pdd = null;
      boolean var9 = false;

      try {
         var9 = true;
         pdd = new PDDocument();
         PDPage contentStream = new PDPage();
         PDType1Font font = PDType1Font.HELVETICA_BOLD;
         pdd.addPage(contentStream);
         PDPageContentStream contentStream1;
         (contentStream1 = new PDPageContentStream(pdd, contentStream)).beginText();
         contentStream1.setFont(font, 14.0F);
         contentStream1.moveTextPositionByAmount(100.0F, 700.0F);
         contentStream1.drawString(contents);
         contentStream1.endText();
         contentStream1.close();
         pdd.save(destFileName);
         var9 = false;
      } catch (Exception var12) {
         throw var12;
      } finally {
         if(var9) {
            if(pdd != null) {
               try {
                  pdd.close();
               } catch (IOException var10) {
                  ;
               }
            }

         }
      }

      try {
         pdd.close();
      } catch (IOException var11) {
         ;
      }
   }

   public static void encrytpPDF(String pdfFileName, String password) throws IOException, CryptographyException, COSVisitorException {
      PDDocument pdd;
      (pdd = PDDocument.load(pdfFileName)).encrypt(pdfFileName, password);
      pdd.save(pdfFileName);
   }

   public static void convertTXTtoPDF(String textFileName, String pdfFileName) throws FileNotFoundException, IOException, COSVisitorException {
      (new TextToPDF()).createPDFFromText(new InputStreamReader(new FileInputStream(textFileName))).save(pdfFileName);
   }

   public static void main(String[] args) {
      try {
         createAndEcryptPDF("E:/test.pdf", "Hello PDF Created!", "1234");
         System.out.println("Create PDF done.");
      } catch (Exception var1) {
         var1.printStackTrace();
      }
   }
}
